Loading...
Searching...
No Matches
Dune::Functions::ContainerDescriptors::UniformVector< Child > Struct Template Reference

Uniform descriptor with dynamic size. More...

`#include <dune/functions/functionspacebases/containerdescriptors.hh>`

Inheritance diagram for Dune::Functions::ContainerDescriptors::UniformVector< Child >:

## Public Member Functions

template<class C = Child, std::enable_if_t< std::is_default_constructible_v< C >, int > = 0>
| UniformVector (std::size_t size)
| Default constructor with size. Is enable if the child-type is default constructible.
| UniformVector (std::size_t size, Child child)
| Constructor that stores the size and a single child only.
template<class Index>
const Child & | operator[] (const Index &) const
| Access the i'th child that is always the same, i.e., child_.
std::size_t | size () const
| The dynamic size information, i.e., number of children.

## Detailed Description

template<class Child>
struct Dune::Functions::ContainerDescriptors::UniformVector< Child >

Uniform descriptor with dynamic size.

## Constructor & Destructor Documentation

## UniformVector() [1/2]

template<class Child>
template<class C = Child, std::enable_if_t< std::is_default_constructible_v< C >, int > = 0>

Dune::Functions::ContainerDescriptors::UniformVector< Child >::UniformVector | ( | std::size_t | size | ) |

inline explicit

Default constructor with size. Is enable if the child-type is default constructible.

## UniformVector() [2/2]

template<class Child>

Dune::Functions::ContainerDescriptors::UniformVector< Child >::UniformVector | ( | std::size_t | size,
|  | Child | child )

inline

Constructor that stores the size and a single child only.

## Member Function Documentation

## operator[]()

template<class Child>
template<class Index>

const Child & Dune::Functions::ContainerDescriptors::UniformVector< Child >::operator[] | ( | const Index & |  | ) | const

inline

Access the i'th child that is always the same, i.e., child_.

## size()

template<class Child>

std::size_t Dune::Functions::ContainerDescriptors::UniformVector< Child >::size | ( |  | ) | const

inline

The dynamic size information, i.e., number of children.

The documentation for this struct was generated from the following file:

- containerdescriptors.hh